#include<stdio.h>
#include<stdlib.h>
#include<cmath>

int main(){
	
	int N,Q,l,r;
	scanf("%d",&N);
	
	int A[N];
	
	for(int i=1;i<=N;i++){
		scanf("%d",&A[i]);
	}
	
	if(N<1 || N>2*(pow(10,5))){
		return 0;
	}
	
	if(Q<1|| Q>pow(10,5)){
		return 0;
	}
	
	scanf("%d",&Q);
	
	for(int i=1;i<=Q;i++){
		
		scanf("%d %d",&l,&r);
		
		int s=0;
		
		for(int i=l ; i<r ; i++){
			
			if(A[i]>A[i+1]){
				s++;
			}
				
		}
		
		if(s>=2){
			printf("NE\n");
		}
		
		else printf("DA\n");
	}
}